### 目录结构

```
admin-tmpl
├─ .env.dev.build # 开发环境
├─ .env.dev.serve # 开发本地本地
├─ .env.prod.build # 生产环境
├─ .env.prod.serve # 生产环境本地
├─ .env.test.build # 测试环境
├─ .env.test.serve # 测试环境本地
├─ .eslintrc.js # eslint
├─ dist # 打包dist
├─ mock # mock服务
├─ public # 静态资源
├─ src # 源码
│   ├─ @types # ts 声明
│   ├─ apis # 接口请求
        ├─envmonitor.ts  #环境控制页面api
        ├─portrait.ts    #节能页面api
        └─user.ts        #用户权限api
│   ├─ assets # webpack打包的资源
│   ├─ components # 公共组件
│   ├─ config # 全部配置
│   ├─ constant # 常量
│   ├─ directives # 全局指令
│   ├─ layout # 全局Layout
│   ├─ locales # 国际化
│   ├─ model # 全部model存放
│   ├─ plugins # 插件
│   ├─ router # 路由
│   ├─ store # 全局store管理
│   ├─ styles # 全局样式
│   ├─ utils # 全局公共方法
        ├─https.ts       #http工具类
        ├─permission.ts  #权限工具类
        └─storage.ts     #数据存储工具类
│   ├─ views # 所有业务页面
│        └─ envmonitor
│             ├─Air.vue #空调控制
│             ├─Curtain.vue #窗帘控制
│             ├─Light.vue #灯控制
│             ├─Scenario.vue #会议室场景控制
│             └─ detail.vue #环境详情信息
│   ├─  meetingControl
│             └─index.vue #环境控制首页
│   ├─ portrait
│             ├─index.vue #使用统计
│             ├─energySavig.vue #我的节能评分
│             ├─energyDetail.vue #节能详情
│             ├─energyRank.vue #排名
│             ├─integralDesc.vue #积分说明
│             ├─record.vue #调节记录
│             └─todayEnergyDetail.vue #今日新增
├─ tsconfig.json # ts 编译配置
└─ vue.config.js # vue-cli 配置
 


```
### 功能

 
## HighLight

项目均已最新技术实现，Vue3配套升级全家桶和涉及的插件组件等

项目采用技术:

- vue3 + composition api
- typescript3.9
- sass (dart sass)
- [echats5](https://github.com/apache/echarts)

vue next 系列:

- [element-plus](https://github.com/element-plus/element-plus)
- [vue-router-next](https://github.com/vuejs/vue-router-next)
- [vuex-4.0](https://github.com/vuejs/vuex)
- [vue-i18n-next](https://github.com/intlify/vue-i18n-next)


## Document
## Setup

项目主要是前端和mock server（node）

### 前后端都启动

```shell
  yarn
  yarn start
```
### 单独启动 Mock

后台模拟服务器和其他版本不同，采用koa2+Faker进行模拟。

- [Koa2](https://github.com/koajs/koa)
- [Faker](https://github.com/Marak/faker.js)

启动mock server:

```shell
    yarn mock
```
